English Amiga Board


Go Back   English Amiga Board > Support > support.WinUAE

 
 
Thread Tools
Old 13 June 2010, 16:59   #1
TheELF
Registered User
 
Join Date: Jun 2010
Location: salloniki
Posts: 12
ffplay on winuae

So,I found ffplay on aminet( ffmpeg-svnr22669-m68k.lha ),and I thought to myself "wow thats great",well thats untill I installed it and found out that it needs the ixemul.library v61 and above.
Allright i said to myself and started to search for that library,after finding it on amiga.sourceforge and installing it I realised that it is the 020 version,it will not work if I set the processor to 040 or 060,(unless I am doing something terribly wrong msg:68040 math emulation code not found) unlucky for me ffplay only works on 040 and above.

So before I start to

Is there a ixemul.library v61 for the 040 processor to be downloaded anywhere?
Is there a version of ffplay that will run on a 020 processor?
to anyone who even cares to reply.
TheELF is offline  
Old 13 June 2010, 17:12   #2
prowler
Global Moderator

prowler's Avatar
 
Join Date: Aug 2008
Location: Sidcup, England
Posts: 10,300
Libraries exist for '000, '020, '040 and '060 processors!

http://amiga.sourceforge.net/?showpa...ixemul.library
prowler is offline  
Old 13 June 2010, 17:20   #3
TheELF
Registered User
 
Join Date: Jun 2010
Location: salloniki
Posts: 12
Yes, but Release Name: 48.2 ffplay needs version 61 or higher,and thats only in 020.
TheELF is offline  
Old 13 June 2010, 17:33   #4
Toni Wilen
WinUAE developer
 
Join Date: Aug 2001
Location: Hämeenlinna/Finland
Age: 44
Posts: 23,120
Fix your 68040.library/68060.library installation first. No 680x0.library + 68040/060 = Disabled FPU.
Toni Wilen is offline  
Old 13 June 2010, 17:34   #5
prowler
Global Moderator

prowler's Avatar
 
Join Date: Aug 2008
Location: Sidcup, England
Posts: 10,300
Quote:
Originally Posted by TheELF View Post
Yes, but Release Name: 48.2 ffplay needs version 61 or higher,and thats only in 020.
I'm sorry. For some reason, at this time I'm unable to download any binaries from that archive, so that wasn't clear to me.
prowler is offline  
Old 13 June 2010, 17:39   #6
TheELF
Registered User
 
Join Date: Jun 2010
Location: salloniki
Posts: 12
Quote:
Originally Posted by Toni Wilen View Post
Fix your 68040.library/68060.library installation first. No 680x0.library + 68040/060 = Disabled FPU.
Well I am trying to do that,but the new versions of ixemul has only the 020 version in the archive,and all the source but I have no idea how to use that to compile a working 040/060 version.
TheELF is offline  
Old 13 June 2010, 18:00   #7
Toni Wilen
WinUAE developer
 
Join Date: Aug 2001
Location: Hämeenlinna/Finland
Age: 44
Posts: 23,120
Quote:
Originally Posted by TheELF View Post
Well I am trying to do that,but the new versions of ixemul has only the 020 version in the archive,and all the source but I have no idea how to use that to compile a working 040/060 version.
Before debugging ixemul problems: are you 100% sure you have working 68040/060 setup? Does C:CPU list a FPU? (It says either 6888x or 68040/060 depending on OS version. No FPU = fix it first)

I don't think ixemul require any specific CPU versions for 68040 or 060.
Toni Wilen is offline  
Old 13 June 2010, 18:21   #8
TheELF
Registered User
 
Join Date: Jun 2010
Location: salloniki
Posts: 12
Ok, sorry Toni and thank you very much,I did not realise that,when I use the settings 040, FPU CPU internal (no other option selectable),the c:CPU command only shows the 68040 cpu,when i use 030 and below i can select the fpu 68881/2 and it will show up with the cpu command,so did the 040 have an internal fpu or not?And is there anything in the setting that i could try?
TheELF is offline  
Old 13 June 2010, 18:55   #9
TheELF
Registered User
 
Join Date: Jun 2010
Location: salloniki
Posts: 12
Thank you very much Toni!
You where right,the problem was that the fpu was not recognised with the installed os,I had to reinstall workbench with the same config,and it showed the fpu,very strange behavior,but what can you do,right?
TheELF is offline  
Old 13 June 2010, 18:59   #10
Toni Wilen
WinUAE developer
 
Join Date: Aug 2001
Location: Hämeenlinna/Finland
Age: 44
Posts: 23,120
Missing 68040.library (as I said above). This problem has nothing to do with emulation, KS ROMs do not have support code for 040's and 060's built-in FPU (different stack frame for example compared to 68881/2)

Library and FPU is working if:

1) SetPatch reports "68040 support code loaded."
2) CPU command reports something like "68040/68882 (cachestuff here)"

Note that you 68040.library coming with WB installation disk DO NOT support 68060 (crashes, search this board for more information).
Toni Wilen is offline  
Old 13 June 2010, 19:27   #11
TheELF
Registered User
 
Join Date: Jun 2010
Location: salloniki
Posts: 12
Ohhhhhhhh Ok.
There is so much I have forgotten abot my Amiga(not that I knew anything about 040 on a real AMIGA)although I still have an unexpanded Amiga 4000.
Did not remember/realised about the 68040.library,sorry again.
Copied over that library to my old installation,and in deed it now shows the FPU.
TheELF is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
FFPlay (68k) on native screen! amiga_user support.Apps 0 01 August 2011 12:39
WinUAE 0.9.92 "WinUAE 1.0 public beta #3" Released! Jim News 2 23 December 2004 11:29
WinUAE - HD, and WinUAE Beats me Mr.B support.WinUAE 19 26 October 2003 17:49
WinUAE 0817r3-GUI dissappears/ WinUAE freezes. 7-Zark-7 support.WinUAE 2 23 December 2001 14:19

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 00:09.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.
Page generated in 0.07220 seconds with 13 queries